Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000296TestLinkNew Featurepublic2005-12-15 08:392013-05-26 20:08
Reportervishalworld 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0000296: Support for adding Watir scripts in TL
DescriptionI wanted to suggest a feature request. I am using a tool called WATIR (Web Application tetsing in Ruby). Needless to say its a good open source Web application automation tool. If there can be a provision to add these WATIR scripts in TL, it would be excellent.
The guidelines might be in the same lines as Test Director storing Manual as well as Automation Test cases.

Thanks,
Vishal
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0000056acknowledged [SF 825060 ] Automated Test Integration 

-  Notes
(0000732)
scorpfromhell (reporter)
2006-03-02 17:24

Vishal, I am trying to work on the same. If you have any ideas on how this could be implemented please mail me at

a _ DOT _ premkumar _ AT _ gmail _ DOT _ com
(0000734)
jared (reporter)
2006-03-03 00:58

See Asiel's proposal about adding Web Services to TestLink:

http://groups.google.com/group/testlink-dev/browse_thread/thread/1c58ca551cbd37eb/dbcb72b8f8eb4240 [^]
http://testlink.org/docs/webServices/ [^]

I believe that this would satisfy what you desire. All one would need to do is write a special test runner for watir that reported the results using the TestLink web services. Asiel also proposes adding a boolean flag to indicate if a given test case has been automated or not.

The nice thing about web services is that they would be generic enough to support any automated frakework. For example one could write script to accept results from selenium tests and then report them to TestLink using the web services.
(0000742)
Bruno Vernay (reporter)
2006-03-06 12:12

You may take a look at SaloméTMF, they have manual and automated scripts.
As a first step, we may have a textarea for scripts (or a radio bouton to indicate if the step textaera is for manual or automated tests.

Then I don't think that running the tests from TestLink would be a good idea.
There are many engines to run tests (Selenium, sahi, ... http://www.opensourcetesting.org/functional.php [^] ) It would lock TestLink to a particular system (Watir) It would be better to provide an API to update test results, so that any system would be able to use TestLink.
(0002144)
mhavlat (reporter)
2007-09-16 04:47

Prem, do you have some usable code for this feature to public? We should go ahead and close the issue or take some plan to integrate.
(0002669)
scorpfromhell (reporter)
2007-11-13 22:58

Martin, unfortunately we haven't started work on this.

The Japanese team is doing some R&D on this, can this be assigned to them?
(0002670)
mhavlat (reporter)
2007-11-14 00:01

I hope that 1.8 will include both server and client for xml-rpc. This issue could be set as duplicate if this is enough.

Anyway, you should delete your assignment and move the issue into state acknowledged.

- Issue History
Date Modified Username Field Change
2005-12-15 08:39 vishalworld New Issue
2006-03-02 17:24 scorpfromhell Note Added: 0000732
2006-03-03 00:58 jared Note Added: 0000734
2006-03-06 12:12 Bruno Vernay Note Added: 0000742
2007-01-13 09:04 mhavlat Project Testlink 1.6 => Testlink 1.6.x
2007-01-20 01:44 schlundus Project Testlink 1.6.x => TestLink
2007-09-16 04:45 mhavlat Status new => assigned
2007-09-16 04:45 mhavlat Assigned To => scorpfromhell
2007-09-16 04:47 mhavlat Note Added: 0002144
2007-11-13 17:39 mhavlat Severity tweak => feature request
2007-11-13 22:58 scorpfromhell Note Added: 0002669
2007-11-14 00:01 mhavlat Note Added: 0002670
2007-11-15 00:05 scorpfromhell Assigned To scorpfromhell =>
2007-11-15 00:05 scorpfromhell Status assigned => acknowledged
2009-06-20 02:15 mhavlat Relationship added related to 0000056
2011-10-30 09:59 fman Status acknowledged => resolved
2011-10-30 09:59 fman Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-10-30 09:59 fman Resolution open => fixed
2011-10-30 09:59 fman Assigned To => fman
2013-05-26 20:08 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker